import 'dart:async';

import 'package:huobi_kline/huobi_kline.dart';
import 'package:test/test.dart';

void main() {
  test('subscribe', () async {
    final completer = Completer();
    final client = HuobiKline();
    await client.connect();
    client.subscribe('ethbtc', '1day');
    client.onData = (data) async {
      print(data);
      if (!completer.isCompleted) completer.complete(null);
    };
    return completer.future;
  });

  test('query', () async {
    final completer = Completer();
    final client = HuobiKline();
    await client.connect();
    final to = DateTime.now();
    final from = to.subtract(Duration(minutes: 10));
    client.query('ethbtc', '1min', from, to);
    client.onData = (data) async {
      print(data);
      if (!completer.isCompleted) completer.complete(null);
    };
    return completer.future;
  });
}
